Name:		mftrace
Version:	1.2.16
Release:	%mkrel 3
Summary:	Generates scalable fonts for TeX
Summary(de):	Konvertiert Metafont-Schriften in Type1-Schriften
Group:		Publishing
License:	GPL
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/download/sources/mftrace/mftrace-%{version}.tar.xz
Requires:	autotrace
Requires:	fontforge
Requires:	potrace
Requires:	python >= 2.7
Requires:	t1utils
Requires:	tetex
BuildRequires:	%{_lib}autotrace-devel
BuildRequires:	potrace
BuildRequires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.
#german
%description -l de
Bei Mftrace handelt es sich um ein kleines Python-Programm, das es Ihnen 
erlaubt, eine TeX-Bitmap-Schrift (Metafont-Schrift) in eine PFA- oder 
PFB-Schrift (skalierbare PostScript-Type1-Schrift) nachzuzeichnen. Es 
ist unter der GNU GPL lizensiert. 

Type1-Schriften bieten viele Vorteile gegenüber Bitmaps, da sie es 
erlauben, PostScript-Dateien richtig in vielen Auflösungen auf Druckern 
auszugeben. Außerdem kann GhostScript mit skalierbaren Schriften viel 
besseres PDF erzeugen. 

%prep
%setup -q

%build
%{configure2_5x}
%{make} CC="%{__cc}" CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/gf2pbm
%attr(0755,root,root) %{_bindir}/mftrace
%{_mandir}/man1/mftrace.1*
%{_datadir}/%{name}


%changelog
* Sat Aug 17 2013 billybot <billybot> 1.2.16-3pclos2013
- update python 2.7

* Thu May 17 2012 Neal <nealbrks0 at gmail dot com> 1.2.16-2pclos2012
- process

* Thu May 17 2012 leiche <meisssw01 at gmail.com> 1.2.16-2pclos2012
- rebuild for 64 bitmap
- add german description

* Wed Jun 15 2010 Texstar <texstar at gmail.com> 1.2.16-1pclos2010
- 1.2.16

